Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80657 - RFE: make ctrl-left - right in xterm/gnome-term do word forw / backw
Summary: RFE: make ctrl-left - right in xterm/gnome-term do word forw / backw
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: joe
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-29 16:14 UTC by Hans de Goede
Modified: 2015-01-08 00:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-06-30 20:12:17 UTC


Attachments (Terms of Use)
patch implementing the RFE (deleted)
2002-12-29 16:15 UTC, Hans de Goede
no flags Details | Diff

Description Hans de Goede 2002-12-29 16:14:12 UTC
Description of problem:
make ctrl-left - right in xterm/gnome-term do word forw / backw and alt
left-right do window forw/backw. I'll attach a patch for joerc which does just that.

Comment 1 Hans de Goede 2002-12-29 16:15:14 UTC
Created attachment 88978 [details]
patch implementing the RFE

Comment 2 Lon Hohberger 2003-02-19 14:25:41 UTC
Have you submitted this feature request to the maintainers of joe?  They're
still working on joe-2.9.8 - might be possible to get it in before the next
official release of joe (if the maintainers like it) before the next release
(hence, all later versions of joe will contain the feature).

http://sf.net/projects/joe-editor/



Comment 3 Hans de Goede 2003-02-20 07:22:07 UTC
I've also entered the bug there. Good to hear that joe is maintained again.



Comment 4 Lon Hohberger 2003-02-20 16:42:23 UTC
Unfortunately, this doesn't work in Konsole or on Linux virtual consoles.

I wonder if there's a more generic way of doing this...

Comment 5 Hans de Goede 2003-02-21 10:51:33 UTC
No there is NOT an easier way, linux console doesn't send any special ESC-
sequences for cursor keys with modifiers. The fact that it doesn't work in 
konsole is a konsole bug, which I already have reported (konsole is one big 
bug, see bugzilla)


Comment 6 Lon Hohberger 2003-06-17 12:43:01 UTC
joe-2.9.8-2 will be in rawhide soon.  I've included the request, but I'll have
to remove the keybindings if they break anything (I didn't do extensive
testing).  You may download the packages immediately from:

http://people.redhat.com/lhh/joe-2.9.8-2.i386.rpm
http://people.redhat.com/lhh/joe-2.9.8-2.src.rpm


Comment 7 Lon Hohberger 2003-06-17 12:45:00 UTC
Whoops, only got half of the request in.


Comment 8 Lon Hohberger 2003-06-17 13:20:27 UTC
Packages with the whole patch:

http://people.redhat.com/lhh/joe-2.9.8-4.i386.rpm
http://people.redhat.com/lhh/joe-2.9.8-4.src.rpm

Sorry for the confusion.


Note You need to log in before you can comment on or make changes to this bug.